cURL
curl --request GET \ --url https://api.valiqor.com/api/v1/traces \ --header 'Authorization: Bearer <token>'
{ "traces": [ { "trace_id": "<string>", "project_id": "<string>", "status": "<string>", "created_at": "<string>", "project_name": "<string>", "session_id": "<string>", "app_name": "<string>", "duration_ms": 123, "total_cost": 123, "total_tokens": 123, "llm_calls": 123, "tool_calls": 123, "input_preview": "<string>", "output_preview": "<string>", "eval_available": false } ], "total": 123, "page": 123, "page_size": 123 }
List traces for a project with pagination.
Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
Project ID to filter traces
Page number
x >= 1
Items per page
1 <= x <= 100
Successful Response
Paginated list of traces
Show child attributes